Update scheduled payment profiles
curl --request PATCH \
--url https://api.consumer.younegotiate.com/bill-pay-wallet/schedule-transactions/payment-profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schedule_transaction_ids": [
123
],
"payment_profile_id": 123,
"new_payment_method": {
"first_name": "Jane",
"last_name": "Consumer",
"address": "123 Main St",
"city": "Austin",
"state": "TX",
"zip": "73301",
"basis_theory_response": {
"id": "token_intent_card",
"type": "card"
}
}
}
'import requests
url = "https://api.consumer.younegotiate.com/bill-pay-wallet/schedule-transactions/payment-profile"
payload = {
"schedule_transaction_ids": [123],
"payment_profile_id": 123,
"new_payment_method": {
"first_name": "Jane",
"last_name": "Consumer",
"address": "123 Main St",
"city": "Austin",
"state": "TX",
"zip": "73301",
"basis_theory_response": {
"id": "token_intent_card",
"type": "card"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schedule_transaction_ids: [123],
payment_profile_id: 123,
new_payment_method: {
first_name: 'Jane',
last_name: 'Consumer',
address: '123 Main St',
city: 'Austin',
state: 'TX',
zip: '73301',
basis_theory_response: {id: 'token_intent_card', type: 'card'}
}
})
};
fetch('https://api.consumer.younegotiate.com/bill-pay-wallet/schedule-transactions/payment-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Scheduled payment profile updated.",
"data": {
"updated_count": 2,
"payment_profile": {
"id": 123,
"method_label": "Card",
"label": "Card ending in 4242",
"last_four_digit": "<string>",
"account_number_last_four": "<string>",
"expiration_month": "<string>",
"expiration_year": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"is_saved_for_future_use": true
},
"upcoming_payments": [
{
"id": 123,
"consumer_id": 123,
"company_id": 123,
"company_name": "<string>",
"account_name": "<string>",
"account_number": "<string>",
"transaction_type_label": "Plan",
"schedule_date": "2023-12-25",
"amount": "125.00",
"amount_label": "$125.00",
"status_label": "Scheduled",
"payment_profile": {
"id": 123,
"method_label": "Card",
"label": "Card ending in 4242",
"last_four_digit": "<string>",
"account_number_last_four": "<string>",
"expiration_month": "<string>",
"expiration_year": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"is_saved_for_future_use": true
}
}
]
}
}{
"message": "<string>"
}{
"code": "profile_incomplete",
"message": "Please complete your communication profile before viewing accounts.",
"required_steps": [
"profile_communication"
]
}{
"message": "<string>",
"errors": {}
}Update scheduled payment profiles
Update one or more owned scheduled/failed payment rows to use either an existing owned payment profile or a new one-time Basis Theory tokenized payment method.
PATCH
/
bill-pay-wallet
/
schedule-transactions
/
payment-profile
Update scheduled payment profiles
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Owned scheduled/failed schedule transaction IDs to update.
Minimum array length:
1Existing owned payment profile to apply. Required when new_payment_method is omitted.
New one-time tokenized method to create and apply. Required when payment_profile_id is omitted.
Show child attributes
Show child attributes
Last modified on July 19, 2026
Was this page helpful?
⌘I

